package com.liquidnet.common.third.zxlnft.dto;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: NftSeltTransferReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:56
 */
@Data
public class Nft047SelfTransferRespDto implements Serializable {
    /**
     * 任务ID
     */
    private String taskId;

    private static final Nft047SelfTransferRespDto obj = new Nft047SelfTransferRespDto();
    public static Nft047SelfTransferRespDto getNew() {
        try {
            return (Nft047SelfTransferRespDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft047SelfTransferRespDto();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
